UploadWizard adding null location template and missing category
Closed, ResolvedPublic

Description

Author: Pi.1415926535.bugzilla

Description:
UploadWizard on Commons is adding {{Location dec|0|0}} to all files - even when the "add location" link is not clicked on the form - and failing to add [[Category:Uploaded with UploadWizard]].


Version: unspecified
Severity: normal
URL: https://commons.wikimedia.org/wiki/Commons:Village_pump#Null_location_templates_added_by_UploadWizard

bzimport set Reference to bz51879.
bzimport created this task.Via LegacyJul 23 2013, 1:12 PM
Rillke added a comment.Via ConduitJul 24 2013, 11:39 AM

I leave it to someone else, hovever, to apply mw's whitespace "conventions".

Rillke added a comment.Via ConduitJul 24 2013, 12:56 PM

4a530c4b7341b9bb8409b194469f594f24fb5548 seems to be the culprit by setting the default to "0".

gerritbot added a comment.Via ConduitJul 24 2013, 1:48 PM

Change 75595 had a related patch set uploaded by Rillke:
Do not pre-fill longitude and latitude inputs with 0 values

https://gerrit.wikimedia.org/r/75595

gerritbot added a comment.Via ConduitJul 24 2013, 2:08 PM

Change 75597 had a related patch set uploaded by Rillke:
Default value for lon and lat from 0 to empty String

https://gerrit.wikimedia.org/r/75597

gerritbot added a comment.Via ConduitJul 24 2013, 2:28 PM

Change 75602 had a related patch set uploaded by Rillke:
Update CommonSettings to reflect changes in UpWiz

https://gerrit.wikimedia.org/r/75602

gerritbot added a comment.Via ConduitJul 24 2013, 3:19 PM

Change 75602 merged by jenkins-bot:
Update CommonSettings to reflect changes in UpWiz

https://gerrit.wikimedia.org/r/75602

gerritbot added a comment.Via ConduitJul 25 2013, 8:08 AM

Change 75597 merged by jenkins-bot:
Do not set default values for lat and lon

https://gerrit.wikimedia.org/r/75597

Rillke added a comment.Via ConduitJul 25 2013, 1:18 PM

For the community: I've filed a bot request at [[:commons:Commons:Bots/Requests/RillkeBot]] for cleaning this up.

yuvipanda added a comment.Via ConduitJul 25 2013, 1:23 PM

Thanks Rillke :)

gerritbot added a comment.Via ConduitJul 29 2013, 6:39 PM

Change 75595 merged by jenkins-bot:
Clean-up UploadWizardDetails.js

https://gerrit.wikimedia.org/r/75595

Rillke added a comment.Via ConduitJul 29 2013, 10:54 PM

Thanks for the code-review. Everything that removed the symptoms (except in upload wizard campaigns that had set their config of lat and lon to 0) is already live.

Herzi.Pinki added a comment.Via ConduitAug 2 2013, 1:58 PM

I do not think that it is fixed:
see e.g. http://commons.wikimedia.org/w/index.php?title=File:Feldkirch_Johannitergasse_6.jpg&oldid=101087802

Still there is

  • {{Location dec|0|0}}
  • and additionally: <strong class="error">Expression error: Unrecognized punctuation character &quot;&quot;.</strong>

if there are exif coords (http://commons.wikimedia.org/w/index.php?title=File:Postmeilenstein_Neudorf_ob_Wildon_20130726.jpg&oldid=101119356) there is as a new effect:
<strong class="error">Expression error: Unrecognized punctuation character &quot;&quot;.</strong>

Rillke added a comment.Via ConduitAug 2 2013, 3:46 PM

https://commons.wikimedia.org/wiki/Campaign:wlm-at sets
lat 0
lon 0
by default. This was fixed by 268ea6bc599bbe26ef58b89695402f9d506def29 which is not live, yet. The issue only occurs with campaign uploads if the campaign sets 0-defaults.

The error message comes from
{{subst:WLM-is-running|at|{{Wiki Loves Monuments 2013|at}}}}
which is something to be fixed at Commons.

RobLa-WMF added a comment.Via ConduitAug 22 2013, 9:18 PM

Is this still an issue? We'll mark this resolved next time we touch this unless we see information to the contrary.

Herzi.Pinki added a comment.Via ConduitAug 22 2013, 9:22 PM

(In reply to comment #16)

Is this still an issue? We'll mark this resolved next time we touch this
unless we see information to the contrary.

I do not see any issue at the moment. You can fix it. Thanks for caring.

Herzi.Pinki added a comment.Via ConduitAug 22 2013, 9:23 PM

(In reply to comment #18)

(In reply to comment #16)
> Is this still an issue? We'll mark this resolved next time we touch this
> unless we see information to the contrary.

I do not see any issue at the moment. You can fix it. Thanks for caring.

You can close it, of course.

Rillke added a comment.Via ConduitAug 23 2013, 3:31 PM

(In reply to comment #17)
That is not a representative example. I as waiting for https://gerrit.wikimedia.org/r/#/c/75595/ to go live so zero-templates through upload campaigns are also avoided.

It apparently is now.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:15 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:21 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:20 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.